Passer au contenu principal
GET
/
marketing
/
v3
/
marketing-events
/
associations
/
{marketingEventId}
/
lists
Obtenir des listes associées à un événement marketing
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/marketing-events/associations/{marketingEventId}/lists \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "listId": "<string>",
      "listVersion": 123,
      "name": "<string>",
      "objectTypeId": "<string>",
      "processingStatus": "<string>",
      "processingType": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "filtersUpdatedAt": "2023-11-07T05:31:56Z",
      "size": 123,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedById": "<string>"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

marketingEventId
string
requis

L'identifiant interne de l'événement marketing dans HubSpot.

Réponse

successful operation

results
object[]
requis
total
integer<int32>
requis
paging
object
Last modified on April 13, 2026